@import url('https://fonts.googleapis.com/css2?family=B612+Mono&family=Nanum+Gothic+Coding&display=swap');

*, ::before, ::after {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
}

:root {
    --bg-light: #b41812;
    --bg-dark: #840000;
}

html {
    font-family: 'B612 Mono', monospace;
}

body {
    background: linear-gradient(
        to bottom right,
        var(--bg-dark),
        #ff2e09,
        var(--bg-light)
    );
    width: 100vw;
    min-height: 100vh;
    display: flex;
    align-items: center;
    justify-content: center;
}

.calculator-container {
    display: flex;
    gap: 5px;
}

.calculator {
    display: flex;
    align-items: center;
    justify-content: center;
    flex-direction: column;
    height: 600px;
    min-width: 370px;
    max-width: 370px;
    gap: 5px;
}

.current-number {
    font-size: 30px;
}

.previous-number {
    color: #bcbcbc;
}

.math-sign {
    font-size: 22px;
}

.panel {
    width: 100%;
    height: 80%;
    display: grid;
    grid-template-columns: repeat(4,1fr);
    grid-template-rows: repeat(5,1fr);
    gap: 5px;
}

.panel button {
    background: #00000055;
    box-shadow: rgba(0, 0, 0, 0.35) 0px 5px 15px;
    color: #fff;
    border: none;
    outline: none;
    font-size: 25px;
    cursor: pointer;
    transition: all .2s ease-in-out;
    border-radius: 7px;
}

.panel button:hover {
    background: #00000040;
}

.display {
    width: 100%;
    min-height: 20%;
    max-height: min-content;
    background-color: #00000030;
    box-shadow: rgba(0, 0, 0, 0.35) 0px 5px 15px;
    color: #fff;
    word-break: break-all;
    text-align: right;
    display: flex;
    flex-direction: column;
    justify-content: space-between;
    padding: 10px;
    border-radius: 7px;
}


.equals {
    grid-row: -1/ -3;
    grid-column: -2/ -1;
}

.calculator-history {
    background: linear-gradient(
        to bottom left,
        transparent,
        transparent,
        var(--bg-light)
    );
    box-shadow: rgba(0, 0, 0, 0.35) 0px 5px 15px;
    min-height: 56vh;
    color: white;
    display: flex;
    flex-direction: column;
    align-items: center;
    border-radius: 7px;
}

.history-title {
    padding: 10px 10px 5px 10px;
}

.history-btn {
    border-radius: 15px;
    border: dashed 1px #fff;
    outline: none;
    margin: 5px 0;
    padding: 5px 20px;
    color: #fff;
    background-color: transparent;
    text-transform: uppercase;
    cursor: pointer;
    font-weight: bolder;
    transition: .2s ease-in-out;
    display: none;
}

.history-btn.active {
    display: block
}


.history-btn:hover {
    border: solid 1px #fff;
    background-color: #fff;
    color: var(--bg-light);
    padding: 5px 25px;
    letter-spacing: 2px;
}

hr {
    width: 80%;
    margin: 5px 0;
}

.history {
    list-style: none;
}

.history-item {
    margin: 5px 0;
    letter-spacing: 2px;
    padding-bottom: 5px;
}

